summaryrefslogtreecommitdiffstats
path: root/zarb-ml/mageia-sysadm/2010-December/001356.html
blob: 10814c5411b307fcc6a26e7fbee76b5f5da96d15 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
 <HEAD>
   <TITLE> [Mageia-sysadm] [650] add pre-commit script to prevent commit of	some binary files
   </TITLE>
   <LINK REL="Index" HREF="index.html" >
   <LINK REL="made" HREF="mailto:mageia-sysadm%40mageia.org?Subject=Re%3A%20%5BMageia-sysadm%5D%20%5B650%5D%20add%20pre-commit%20script%20to%20prevent%20commit%20of%0A%09some%20binary%20files&In-Reply-To=%3C20101221192024.B2964409AE%40valstar.mageia.org%3E">
   <META NAME="robots" CONTENT="index,nofollow">
   <META http-equiv="Content-Type" content="text/html; charset=us-ascii">
   <LINK REL="Previous"  HREF="001355.html">
   <LINK REL="Next"  HREF="001357.html">
 </HEAD>
 <BODY BGCOLOR="#ffffff">
   <H1>[Mageia-sysadm] [650] add pre-commit script to prevent commit of	some binary files</H1>
    <B>root at mageia.org</B> 
    <A HREF="mailto:mageia-sysadm%40mageia.org?Subject=Re%3A%20%5BMageia-sysadm%5D%20%5B650%5D%20add%20pre-commit%20script%20to%20prevent%20commit%20of%0A%09some%20binary%20files&In-Reply-To=%3C20101221192024.B2964409AE%40valstar.mageia.org%3E"
       TITLE="[Mageia-sysadm] [650] add pre-commit script to prevent commit of	some binary files">root at mageia.org
       </A><BR>
    <I>Tue Dec 21 20:20:24 CET 2010</I>
    <P><UL>
        <LI>Previous message: <A HREF="001355.html">[Mageia-sysadm] Puppet Report for alamut.mageia.org
</A></li>
        <LI>Next message: <A HREF="001357.html">[Mageia-sysadm] [651] print the error on stderr so the user can see	it
</A></li>
         <LI> <B>Messages sorted by:</B> 
              <a href="date.html#1356">[ date ]</a>
              <a href="thread.html#1356">[ thread ]</a>
              <a href="subject.html#1356">[ subject ]</a>
              <a href="author.html#1356">[ author ]</a>
         </LI>
       </UL>
    <HR>  
<!--beginarticle-->
<PRE>Revision: 650
Author:   boklm
Date:     2010-12-21 20:20:24 +0100 (Tue, 21 Dec 2010)
Log Message:
-----------
add pre-commit script to prevent commit of some binary files

Modified Paths:
--------------
    puppet/modules/subversion/manifests/init.pp

Added Paths:
-----------
    puppet/modules/subversion/templates/no_binary

Modified: puppet/modules/subversion/manifests/init.pp
===================================================================
--- puppet/modules/subversion/manifests/init.pp	2010-12-20 20:17:28 UTC (rev 649)
+++ puppet/modules/subversion/manifests/init.pp	2010-12-21 19:20:24 UTC (rev 650)
@@ -31,6 +31,14 @@
              content =&gt; template('subversion/create_svn_repo.sh') 
 	} 
 
+        file { &quot;$local_dir/pre-commit.d/no_binary&quot;:
+            ensure =&gt; present,
+            owner =&gt; root,
+            group =&gt; root,
+            mode =&gt; 755,
+            content =&gt; template('subversion/no_binary') 
+        }
+
         file { &quot;$local_dir/pre-commit.d/no_root_commit&quot;:
             ensure =&gt; present,
             owner =&gt; root,

Added: puppet/modules/subversion/templates/no_binary
===================================================================
--- puppet/modules/subversion/templates/no_binary	                        (rev 0)
+++ puppet/modules/subversion/templates/no_binary	2010-12-21 19:20:24 UTC (rev 650)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+REP=&quot;$1&quot;
+TXN=&quot;$2&quot;
+
+# Filter some binary files based on common filename extentions.
+# It does not fully prevent commit of binary files, this script is only
+# here to avoid simple mistakes
+if svnlook changed -t &quot;$TXN&quot; &quot;$REP&quot; | grep -qi '\.\(gz\|bz2\|xz\|lzma\|Z\|7z\|tar\|tgz\|zip\|jpg\|gif\|png\|ogg\|mp3\|wav\|rar\|pdf\)$'
+then
+    echo 'no binary files allowed on this repository'
+    exit 1
+fi
+
-------------- next part --------------
An HTML attachment was scrubbed...
URL: &lt;/pipermail/mageia-sysadm/attachments/20101221/3b68e1b1/attachment.html&gt;
</PRE>


<!--endarticle-->
    <HR>
    <P><UL>
        <!--threads-->
	<LI>Previous message: <A HREF="001355.html">[Mageia-sysadm] Puppet Report for alamut.mageia.org
</A></li>
	<LI>Next message: <A HREF="001357.html">[Mageia-sysadm] [651] print the error on stderr so the user can see	it
</A></li>
         <LI> <B>Messages sorted by:</B> 
              <a href="date.html#1356">[ date ]</a>
              <a href="thread.html#1356">[ thread ]</a>
              <a href="subject.html#1356">[ subject ]</a>
              <a href="author.html#1356">[ author ]</a>
         </LI>
       </UL>

<hr>
<a href="https://www.mageia.org/mailman/listinfo/mageia-sysadm">More information about the Mageia-sysadm
mailing list</a><br>
</body></html>